package org.yaoqiang.bpmn.model.elements.activities;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * ResourceParameterBindings
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class ResourceParameterBindings extends XMLCollection {

	public ResourceParameterBindings(XMLElement parent) {
		super(parent, "resourceParameterBindings");
	}

	public XMLElement generateNewElement() {
		return new ResourceParameterBinding(this);
	}

	public String getElementName() {
		return "resourceParameterBinding";
	}
	
}
