package org.yaoqiang.bpmn.model.elements.core.common;

import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.activities.ResourceAssignmentExpression;
import org.yaoqiang.bpmn.model.elements.core.foundation.BaseElement;
import org.yaoqiang.bpmn.model.elements.data.Assignment;
import org.yaoqiang.bpmn.model.elements.events.ConditionalEventDefinition;

/**
 * Expression
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class Expression extends BaseElement {

	public Expression(XMLElement parent) {
		super(parent, "expression");
	}

	public Expression(XMLElement parent, String name) {
		super(parent, name);
	}
	
	public boolean isEmpty() {
		if (parent instanceof ResourceAssignmentExpression || parent instanceof Assignment || parent instanceof ConditionalEventDefinition) {
			return false;
		} else {
			return super.isEmpty();
		}
	}
}
