package org.yaoqiang.bpmn.model.elements.core.foundation;

import org.yaoqiang.bpmn.model.elements.XMLAttribute;
import org.yaoqiang.bpmn.model.elements.XMLComplexElement;

/**
 * Extension
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class Extension extends XMLComplexElement {

	public Extension(Extensions parent) {
		super(parent, "extension");
	}

	protected void fillStructure() {
		XMLAttribute attrMustUnderstand = new XMLAttribute(this, "mustUnderstand", Boolean.FALSE.toString());
		XMLAttribute attrDefinition = new XMLAttribute(this, "definition");

		add(attrMustUnderstand);
		add(attrDefinition);
	}

	public Extensions getParent() {
		return (Extensions) parent;
	}

}
