package org.yaoqiang.bpmn.model.elements.core.foundation;

import org.yaoqiang.bpmn.model.elements.XMLAttribute;
import org.yaoqiang.bpmn.model.elements.XMLComplexElement;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * ExtensionAttributeDefinition
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class ExtensionAttributeDefinition extends XMLComplexElement {

	public ExtensionAttributeDefinition(XMLElement parent) {
		super(parent, "extensionAttributeDefinition");
	}

	protected void fillStructure() {
		XMLAttribute attrName = new XMLAttribute(this, "name");
		XMLAttribute attrType = new XMLAttribute(this, "type");
		XMLAttribute attrIsReference = new XMLAttribute(this, "isReference", Boolean.FALSE.toString());

		add(attrName);
		add(attrType);
		add(attrIsReference);
	}

}
