package org.yaoqiang.bpmn.model.elements.core.foundation;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.core.infrastructure.Definitions;

/**
 * Extensions
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class Extensions extends XMLCollection {

	public Extensions(Definitions parent) {
		super(parent, "extensions");
	}

	public XMLElement generateNewElement() {
		return new Extension(this);
	}

	public String getElementName() {
		return "extension";
	}

	public Definitions getParent() {
		return (Definitions) parent;
	}

}
