package org.yaoqiang.bpmn.model.elements.data;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.core.foundation.BaseElement;

/**
 * DataOutputAssociations
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class DataOutputAssociations extends XMLCollection {

	public DataOutputAssociations(XMLElement parent) {
		super(parent, "dataOutputAssociations");
	}

	public XMLElement generateNewElement() {
		DataOutputAssociation dataOutputAssociation = new DataOutputAssociation(this);
		dataOutputAssociation.setId(createId("DOA" + ((BaseElement) getParent()).getId()));
		return dataOutputAssociation;
	}

	public String getElementName() {
		return "dataOutputAssociation";
	}

}
