package org.yaoqiang.bpmn.model.elements.data;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.core.foundation.BaseElement;

/**
 * DataOutputs
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class DataOutputs extends XMLCollection {

	public DataOutputs(XMLElement parent) {
		super(parent, "dataOutputs");
	}
	
	public XMLElement generateNewElement() {
		DataOutput dataOutput = new DataOutput(this);
		String id = null;
		if (getParent().getParent() instanceof BaseElement) {
			id = createId("Dout" + ((BaseElement)getParent().getParent()).getId());
		} else {
			id = createId("Dout" + ((BaseElement)getParent()).getId());
		}
		dataOutput.setId(id);
		return dataOutput;
	}
	
	public String getElementName() {
		return "dataOutput";
	}

}
