package org.yaoqiang.bpmn.model.elements.activities;

import org.yaoqiang.bpmn.model.elements.core.common.Expression;
import org.yaoqiang.bpmn.model.elements.core.common.FormalExpression;
import org.yaoqiang.bpmn.model.elements.core.foundation.BaseElement;

/**
 * ResourceAssignmentExpression
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class ResourceAssignmentExpression extends BaseElement {

	public ResourceAssignmentExpression(ResourceAssignTypes parent) {
		super(parent, "resourceAssignmentExpression");
	}

	protected void fillStructure() {
		FormalExpression refExpression = new FormalExpression(this);

		super.fillStructure();
		add(refExpression);
	}

	public final Expression getExpressionElement() {
		return (Expression) get("formalExpression");
	}
	
}
