package org.yaoqiang.bpmn.model.elements.core.foundation;

import org.yaoqiang.bpmn.model.elements.XMLAttribute;

/**
 * Documentation
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class Documentation extends BaseElement {

	public Documentation(Documentations parent) {
		super(parent, "documentation");
	}

	protected void fillStructure() {
		XMLAttribute attrTextFormat = new XMLAttribute(this, "textFormat");

		super.fillStructure();
		add(attrTextFormat);
	}

	public Documentations getParent() {
		return (Documentations) parent;
	}

	public final String getTextFormat() {
		return get("textFormat").toValue();
	}

	public final void setTextFormat(String textFormat) {
		set("textFormat", textFormat);
	}

}
