package org.yaoqiang.bpmn.model.elements.data;

import org.yaoqiang.bpmn.model.elements.XMLAttribute;
import org.yaoqiang.bpmn.model.elements.core.foundation.BaseElement;

/**
 * InputOutputBinding
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class InputOutputBinding extends BaseElement {

	public InputOutputBinding(InputOutputBindings parent) {
		super(parent, "ioBinding");
	}

	protected void fillStructure() {
		XMLAttribute attrInputDataRef = new XMLAttribute(this, "inputDataRef");
		XMLAttribute attrOutputDataRef = new XMLAttribute(this, "outputDataRef");
		XMLAttribute attrOperationRef = new XMLAttribute(this, "operationRef");

		super.fillStructure();
		add(attrInputDataRef);
		add(attrOutputDataRef);
		add(attrOperationRef);
	}

	public InputOutputBindings getParent() {
		return (InputOutputBindings) parent;
	}

}
